(function (jQuery) {
  'use strict';

  var defaults = {};

  function Sidenav (element, options) {
    this.jQueryel = jQuery(element);
    this.opt = jQuery.extend(true, {}, defaults, options);

    this.init(this);
  }

  Sidenav.prototype = {
    init: function (self) {
      self.initToggle(self);
      self.initDropdown(self);
    },

    initToggle: function (self) {
      jQuery(document).on('click', function (e) {
        var jQuerytarget = jQuery(e.target);

        if (jQuerytarget.closest(self.jQueryel.data('sidenav-toggle'))[0]) {
          self.jQueryel.toggleClass('show');
          jQuery('body').toggleClass('sidenav-no-scroll');

          self.toggleOverlay();

        } else if (!jQuerytarget.closest(self.jQueryel)[0]){
          self.jQueryel.removeClass('show');
          jQuery('body').removeClass('sidenav-no-scroll');

          self.hideOverlay();
        }
      });
    },

    initDropdown: function (self) {
      self.jQueryel.on('click', '[data-sidenav-dropdown-toggle]', function (e) {
        var jQuerythis = jQuery(this);

        jQuerythis
          .next('[data-sidenav-dropdown]')
          .slideToggle('fast');

        jQuerythis
          .find('[data-sidenav-dropdown-icon]')
          .toggleClass('show');

        e.preventDefault();
      });
    },

    toggleOverlay: function () {
      var jQueryoverlay = jQuery('[data-sidenav-overlay]');

      if (!jQueryoverlay[0]) {
        jQueryoverlay = jQuery('<div data-sidenav-overlay class="sidenav-overlay"/>');
        jQuery('body').append(jQueryoverlay);
      }

      jQueryoverlay.fadeToggle('fast');
    },

    hideOverlay: function () {
      jQuery('[data-sidenav-overlay]').fadeOut('fast');
    }
  };

  jQuery.fn.sidenav = function (options) {
    return this.each(function() {
      if (!jQuery.data(this, 'sidenav')) {
        jQuery.data(this, 'sidenav', new Sidenav(this, options));
      }
    });
  };
})(window.jQuery);
